function approve(recno, form){
	try {
		// servico com stubs criado com Axis
		var comprasService = ServiceManager.getService('WSINTEGRACAOFLUIG');
		var serviceHelper = comprasService.getBean();
		var serviceLocator = serviceHelper.instantiate('com.totvs.WSINTEGRACAOFLUIGLocator');			        
		var service = serviceLocator.getWSINTEGRACAOFLUIGSOAP();
		var objetoFSENVAPROVACAOPC = serviceHelper.instantiate('com.totvs.FSENVAPROVACAOPC');

		log.info("=======> id_pedidocompra: " + form.getValue("id_pedidocompra"));
		log.info("=======> R8_FILIAL: " + form.getValue("R8_FILIAL"));
		log.info("=======> id_aprovreprov: " + form.getValue("id_aprovreprov"));
		log.info("=======> recno: " + recno);
		
		//Dados cabecalho
		objetoFSENVAPROVACAOPC.setCR_NUM(form.getValue("id_pedidocompra"));	
		objetoFSENVAPROVACAOPC.setCR_FILIAL(form.getValue("R8_FILIAL"));
		objetoFSENVAPROVACAOPC.setCR_STATUS(form.getValue("id_aprovreprov"));
		objetoFSENVAPROVACAOPC.setCR_RECNO(new java.math.BigInteger(recno));
		
		//throw "Pause Antes da integração para ver parametros";
		
		var result = service.APROVACAOPC( objetoFSENVAPROVACAOPC );
			        
	    log.info("*-*-*-* [AprovacaoPedidoCompra] result = " + result);
	    log.info("*-*-*-* [AprovacaoPedidoCompra] getID() = " + result.getID());	        
	    log.info("*-*-*-* [AprovacaoPedidoCompra] getMENSAGEM() = " + result.getMENSAGEM());
	    log.info("*-*-*-* [AprovacaoPedidoCompra] getRETORNO() = " + result.getRETORNO());	        

	    if (result.getRETORNO() != 4 && result.getRETORNO() != 5 && result.getRETORNO() != 7 && result.getRETORNO() != 8) { //sucesso
			
			if (result.getRETORNO() == 6){
				throw result.getMENSAGEM();
			}
			else{
				throw "Erro ao efetuar a aprovação do pedido de compras no Protheus! Favor contactar TI: " + result.getMENSAGEM();
			}
		}
		log.info("*-*-*-* [AprovacaoPedidoCompra] finish-------- ");
	} catch (e) {
		log.info("*-*-*-* e:"+e);
		if (typeof(e.message) == "undefined")  {
			log.info("--------------ERRO DE NEGÓCIO ."+e);
			throw e;
		} else {
			log.info("*-*-*-* ERRO AO INTEGRAR COMPRA line: "+e.lineNumber);
			log.info("*-*-*-* ERRO AO INTEGRAR COMPRA message: "+e.message);
			throw "Erro ao efetuar integração de compras no Protheus! Favor contactar TI. " + e.message;		
		}
	}
}